<!DOCTYPE html>
<html>
  <head>
    <title>KALPOINT</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- Bootstrap -->
    <link rel="stylesheet" href="http://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css">
<link href='http://fonts.googleapis.com/css?family=Open+Sans' rel='stylesheet' type='text/css'>

    <!-- styles -->
    <link href="css/client.css" rel="stylesheet">
<script src="assets/js/lumino.glyphs.js"></script>
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>
    <![endif]-->
  </head>
  <body >
  	<div class="header">


	              <!-- Logo -->
	              <div class="logo">
	                 <h1><a href="index.html">KALPOINT </a></h1>
	               </div>

            <!-- <div class="buttonBar">
             <a href="#" class="dropdown-toggle" data-toggle="dropdown" style="color:white;"> <svg class="glyph stroked male-user"><use xlink:href="#stroked-male-user"></use></svg> User</a>
                <ul class="dropdown-menu animated fadeInUp">
                  <li><a href="profile.html">Profile</a></li>
                  <li><a href="login.html">Logout</a></li>
                </ul>
             </div>


	              <div class="navbar" role="banner">
	                    <ul class="nav navbar-nav">
	                      <li class="dropdown">

	                      </li>
	                    </ul>
	              </div>
-->


	</div>

      <div id="LEFT_SIDE_BAR">
        <div id="VIDEO_WINDOW"></div>

        <div id="infoBOX">
            <div id="endCall" onclick="endCall()"></div>
            <div id="agentName" style="padding-top:15px;text-align:center;font-size:16px;">Agent Name<br></div>
            <div style="text-align:center;">is assisting you</div>
        </div>
      </div>




 <!--MODAL-->
        <div id="wasResolvedModal" class="modal" data-easein="tada"  tabindex="-1" role="dialog" aria-labelledby="costumModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">

                        </button>
                        <h4 class="modal-title" style="text-align: center;">
                            Assistance Required
                        </h4>
                    </div>
                    <div class="modal-body">
                        <p style="text-align: center;"><img src="../assets/images/phone.jpg" alt="bank logo" title="Bank" class="img-rounded" style="margin-top:50px;"></p>
                        <p style="text-align: center;font-size:18px;">
                            Was your problem solved?
                        </p>
                    </div>
                    <div class="modal-footer" style="text-align: center;">
                        <button class="btn btn-default" aria-hidden="true" onclick="issueSolved(true)">
                            Yes
                        </button>
                        <button class="btn btn-success" onclick="issueSolved(false);">
                            No
                        </button>
                    </div>
                </div>
            </div>
        </div>



<!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->

<script src="https://code.jquery.com/jquery.js"></script>

<script src='http://cdnjs.cloudflare.com/ajax/libs/jquery/2.1.3/jquery.min.js'></script>
      <script src="assets/js/jquery.blockUI.js"></script>
<!-- Latest compiled JavaScript -->
<script src="http://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"></script>
<script src="https://kandy-portal.s3.amazonaws.com/public/javascript/kandy/2.6.0/kandy.js"></script>
<script src="assets/js/kandyScript.js"></script>

<script src="https://www.gstatic.com/firebasejs/3.1.0/firebase-app.js"></script>
<script src="https://www.gstatic.com/firebasejs/3.1.0/firebase-database.js"></script>

<script src="assets/js/clientFirebase.js"></script>
<script src="assets/js/kandyAnonymousUser.js"></script>
<script src="assets/js/jquery.blockUI.js"></script>
<script> </script>

<script src='https://cdnjs.cloudflare.com/ajax/libs/velocity/1.2.2/velocity.min.js'></script>
<script src='https://cdnjs.cloudflare.com/ajax/libs/velocity/1.2.2/velocity.ui.min.js'></script>
<script src="assets/js/animation.js"></script>

      <script language="JavaScript">
            var parameters = location.search.substring(1).split("&");

            var temp = parameters[0].split("=");
            var decoded_company = unescape(temp[1]);
          /*var encoded_company = unescape(temp[1]);
            var decoded_company = "";
            for(var i = 0; i < encoded_company.length; i++){
                decoded_company+=encoded_company[i];
                if((i+1)<encoded_company.length)
                    decoded_company+=" ";
            }*/

            temp = parameters[1].split("=");
            var raw_msg = unescape(temp[1]);
            var tmp = raw_msg.split("_");
            var message = "";

            for(var i = 0; i < tmp.length; i++){
                message+=tmp[i];
                if((i+1)<tmp.length)
                    message+=" ";
            }

            temp = parameters[2].split("=");
            var raw_name = unescape(temp[1]);
            var namearr = raw_name.split("_");
            var client_name = "";

            for(var i = 0; i < namearr.length; i++){
                client_name+=namearr[i];
                if((i+1)<namearr.length)
                    client_name+=" ";
            }


            Init_Firebase(decoded_company, client_name, message);
            console.log(decoded_company);
            console.log(message);
            console.log(client_name);
            //document.getElementById("company").innerHTML = l;
            //document.getElementById("message").innerHTML = p;

        </script>
  </body>

</html>
